[Documentation] [TitleIndex] [WordIndex

This page describes how to install the necessary software to work with ABBY, a mobile industrial manipulator developed at Case Western Reserve University

These instructions have not been tested.

Prerequisites

This stack currently only supports ROS Fuerte.

Before installing this stack, follow the instructions to Install the CWRU ROS Core. After step 4 (before step 5), checkout the abby branch with

git checkout abby

You'll also need to install several prerequisite ROS packages. You can do this with the following commands:

sudo apt-get update

sudo apt-get install -y ros-fuerte-arm-navigation ros-fuerte-arm-navigation-experimental ros-fuerte-octomap ros-fuerte-octomap-mapping ros-fuerte-openni-camera ros-fuerte-openni-launch ros-fuerte-pr2_object_manipulation python-scipy

This may not be a complete list of necessary ROS packages.

Installing the CWRU ABBY Stack

To setup the CWRU ABBY repositories, do the following:

  1. cd to the directory you use for development stacks.

    cd ~/code/dev_stacks

  2. Clone the cwru-robotics/cwru_abby repository git clone git://github.com/cwru-robotics/cwru-ros-pkg.git

  3. Do rosmake --rosdep-install cwru_semi_stable to build all of the packages.

Installing ROS Industrial

ABBY uses a fork of ROS Industrial based on SWRI's code from November 21, 2012. You'll need to install this from source.

  1. cd to the directory you use for development stacks.

    cd ~/code/dev_stacks

  2. Clone the cwru-robotics/swri-ros-pkg repository

    git clone git://github.com/cwru-robotics/swri-ros-pkg.git

  3. Do rosmake --rosdep-install industrial_core industrial_experimental abb to build all of the necessary packages.

Extra Steps for Reinstalling on ABBY

If you're reinstalling the software on ABBY, you will also need to install the forked version of ROS Serial used to control the arm. (This should no longer be necessary once this code migrates to Groovy.)

  1. cd to the directory you use for development stacks.

    cd ~/code/dev_stacks

  2. Clone the evenator/rosserial repository

    git clone git://github.com/evenator/rosserial.git

You'll also need to install the RAPID code on the IRC5 controller. Follow the instructions here.


2020-09-19 12:39